Package org.h2gis.functions.spatial.convert

# Class ST_MLineFromText

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.convert.ST_MLineFromText

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_MLineFromText extends org.h2gis.api.DeterministicScalarFunction
Convert a WKT String into a MULTILINESTRING.

Author:
  Nicolas Fortin

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_MLineFromText()`
Default constructor

## Method Summary

Modifier and Type
Method
Description
`String`
`getJavaStaticMethod()`
`static org.locationtech.jts.geom.Geometry`
`toGeometry(String wKT)`
`static org.locationtech.jts.geom.Geometry`
`toGeometry(String wKT, int srid)`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_MLineFromText

public ST_MLineFromText()
Default constructor

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### toGeometry

public static org.locationtech.jts.geom.Geometry toGeometry(String wKT) throws SQLException

Parameters:
  `wKT` - WellKnown text value
Returns:
  Geometry
Throws:
  `SQLException` - Invalid argument or the geometry type is wrong.

### toGeometry

public static org.locationtech.jts.geom.Geometry toGeometry(String wKT, int srid) throws SQLException

Parameters:
  `wKT` - WellKnown text value
  `srid` - Valid SRID
Returns:
  Geometry
Throws:
  `SQLException` - Invalid argument or the geometry type is wrong.